org.omg.CORBA

## Class BAD_PARAM

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.BAD_PARAM

All Implemented Interfaces:
  Serializable

    public final class BAD_PARAM
    extends SystemException

Exception thrown when a parameter passed to a call is out of range or otherwise considered illegal. An ORB may raise this exception if null values or null pointers are passed to an operation (for language mappings where the concept of a null pointers or null values applies). BAD_PARAM can also be raised as a result of a client generating requests with incorrect parameters using the DII.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions, meaning of minor codes

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`BAD_PARAM()` Constructs a `BAD_PARAM` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`BAD_PARAM(int minor, CompletionStatus completed)` Constructs a `BAD_PARAM` exception with the specified minor code and completion status.
`BAD_PARAM(String s)` Constructs a `BAD_PARAM` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
`BAD_PARAM(String s, int minor, CompletionStatus completed)` Constructs a `BAD_PARAM` exception with the specified detail message, minor code, and completion status.

### Method Summary

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BAD_PARAM

    public BAD_PARAM()

Constructs a `BAD_PARAM` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

#### BAD_PARAM

    public BAD_PARAM(String s)

Constructs a `BAD_PARAM` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message describing this exception

#### BAD_PARAM

    public BAD_PARAM(int minor,
             CompletionStatus completed)

Constructs a `BAD_PARAM` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

#### BAD_PARAM

    public BAD_PARAM(String s,
             int minor,
             CompletionStatus completed)

Constructs a `BAD_PARAM` exception with the specified detail message, minor code, and completion status. A detail message is a `String` that describes this particular exception.

Parameters:
  `s` - the `String` containing a detail message
  `minor` - the minor code
  `completed` - the completion status

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.